Package twisted :: Package protocols :: Module pop3 :: Class IServerFactory

[frames | no frames]

## Class IServerFactory

    Interface --+
                |
               IServerFactory

Interface for querying additional parameters of this POP3 server.

Any cap_* method may raise NotImplementedError if the particular capability is not supported. If cap_EXPIRE() does not raise NotImplementedError, perUserExpiration() must be implemented, otherwise they are optional. If cap_LOGIN_DELAY() is implemented, perUserLoginDelay() must be implemented, otherwise they are optional.

Method Summary
| ``cap_EXPIRE`(self)` Return the minimum number of days messages are retained.
| ``cap_IMPLEMENTATION`(self)` Return a string describing this POP3 server implementation.
| ``cap_LOGIN_DELAY`(self)` Return the minimum number of seconds between client logins.
| ``perUserExpiration`(self)` Indicate whether message expiration is per-user.
| ``perUserLoginDelay`(self)` Indicate whether the login delay period is per-user.

Instance Variable Summary
| `challengers`: A dictionary mapping challenger names to classes implementing `IUsernameHashedPassword`.

Method Details

### cap_EXPIRE(self)

Return the minimum number of days messages are retained.

### cap_IMPLEMENTATION(self)

Return a string describing this POP3 server implementation.

### cap_LOGIN_DELAY(self)

Return the minimum number of seconds between client logins.

### perUserExpiration(self)

Indicate whether message expiration is per-user.

  Returns:
    True if it is, false otherwise.

### perUserLoginDelay(self)

Indicate whether the login delay period is per-user.

  Returns:
    True if it is, false otherwise.

Instance Variable Details

### challengers

A dictionary mapping challenger names to classes implementing `IUsernameHashedPassword`.

Generated by Epydoc 2.0 on Sat May 15 20:07:43 2004 | http://epydoc.sf.net